Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind
Class PropertyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.bind.JAXBException
                        |
                        +--javax.xml.bind.PropertyException

All Implemented Interfaces:
  java.io.Serializable

public class PropertyException
extends JAXBException

This exception indicates that an error was encountered while getting or setting a property.

Since:
  JAXB1.0
See Also:
  `JAXBContext`, `Validator`, `Unmarshaller`, Serialized Form

Constructor Summary
`PropertyException(java.lang.String message)` Constructor for PropertyException.
`PropertyException(java.lang.String name, java.lang.Object value)` Constructor for PropertyException.
`PropertyException(java.lang.String message, java.lang.String errorCode)` Constructor for PropertyException.
`PropertyException(java.lang.String message, java.lang.String errorCode, java.lang.Throwable exception)` Constructor for PropertyException.
`PropertyException(java.lang.String message, java.lang.Throwable exception)` Constructor for PropertyException.
`PropertyException(java.lang.Throwable exception)` Constructor for PropertyException.

Methods inherited from class javax.xml.bind.JAXBException
`getErrorCode, getLinkedException, printStackTrace, printStackTrace, setLinkedException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyException

    public PropertyException(java.lang.String message)

  Constructor for PropertyException.
Parameters:
  `message` -

### PropertyException

    public PropertyException(java.lang.String message,
                             java.lang.String errorCode)

  Constructor for PropertyException.
Parameters:
  `message` -
  `errorCode` -

### PropertyException

    public PropertyException(java.lang.Throwable exception)

  Constructor for PropertyException.
Parameters:
  `exception` -

### PropertyException

    public PropertyException(java.lang.String message,
                             java.lang.Throwable exception)

  Constructor for PropertyException.
Parameters:
  `message` -
  `exception` -

### PropertyException

    public PropertyException(java.lang.String message,
                             java.lang.String errorCode,
                             java.lang.Throwable exception)

  Constructor for PropertyException.
Parameters:
  `message` -
  `errorCode` -
  `exception` -

### PropertyException

    public PropertyException(java.lang.String name,
                             java.lang.Object value)

  Constructor for PropertyException.
Parameters:
  `name` - the name of the property related to this exception
  `value` - the value of the property related to this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Sun Microsystems, Inc. All rights reserved.